%define name    lightmediascanner
%define version 0.4.5
%define release %mkrel 3

Summary: Lightweight media scanner
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPLv2
Group:   Development/Other
URL:     http://lms.garage.maemo.org/
Source0: %{name}-%{version}.0.tar.bz2
Patch0: lightmediascanner-0.4.3.0-mp4v2.patch
BuildRequires: pkgconfig
BuildRequires: sqlite3-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: libmp4v2-devel
BuildRequires: pkgconfig(flac)

%description
Lightweight media scanner meant to be used in not-so-powerful devices, 
like embedded systems or old machines. 

Provides an optimized way to recursively scan directories, handling
the parser in a child process, avoiding breaks of the main process 
when parsers break (quite common with such bad libs and tags). One can 
opt to use the single process version, but be aware that if something 
bad happens during parsing, your application will suffer. 

Parsers are plugins in the form of shared objects, so it's easy to 
add new without having to recompiling the scanner. 

The scanner will use SQLite3 to store file-mtime association, avoiding 
parsing files that are already up-to-date. This SQLite connection and 
the file id within the master table 'files' are handled to plugins for 
relationship with other tables. 

Applications should then access the SQLite3 database to get all the 
informations about scanned media. See tables and fields description at 
http://lms.garage.maemo.org/api/index.html (end of the page). You can 
use any SQLite3 access library, for instance you have SQLObject, 
SQLAlchemy and Storm for python, Sequel for Ruby and possible others.

%prep
%setup -qn %name-%version.0
#patch0 -p0

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc ChangeLog COPYING
%{_includedir}/%{name}*
%{_libdir}/lib%{name}*
%{_libdir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.5-3.mga4
+ Revision: 507502
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.5-2.mga3
+ Revision: 358786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 18 2012 trem <trem> 0.4.5-1.mga3
+ Revision: 282052
- update to 0.4.5

  + fwang <fwang>
    - fix build with mp4v2 2.0
    - new version 0.4.3.0

* Sat Feb 11 2012 trem <trem> 0.4.1-3.mga2
+ Revision: 207159
- add libogg-devel libvorbis-devel libmp4v2-devel pkgconfig(flac) as buildrequires

* Sun Nov 27 2011 trem <trem> 0.4.1-2.mga2
+ Revision: 172930
- disable *.la files

* Sat Nov 05 2011 trem <trem> 0.4.1-1.mga2
+ Revision: 163846
- imported package lightmediascanner

